summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-04-07 11:04:38 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-04-07 11:04:38 +0200
commitf4a140e55739c8437b1b139d915b957b416840d8 (patch)
tree92e2500706278e95f892219231dcc5c6854f1e70 /scripts
parent3c2b8c14ba47341b7af24dc4d5cae3d32c72302e (diff)
parent5c408039aa7f26d60691b585286a6a3ba90a0bb1 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/create.sh5
-rw-r--r--scripts/scan-tools.sh7
-rw-r--r--scripts/toolchain.cmake.in10
3 files changed, 19 insertions, 3 deletions
diff --git a/scripts/create.sh b/scripts/create.sh
index 505549247..e3fb7ac45 100755
--- a/scripts/create.sh
+++ b/scripts/create.sh
@@ -55,7 +55,7 @@ Syntax: $me [-c cfgfssize] [+g] [-i imagesize] [-p panictime]
[-s serialspeed] [-t] [-T imagetype] [+U] target.ima source.tgz
Explanation/Defaults:
-c: minimum 0, maximum 5, default 1 (MiB)
- +g: disables installing GNU GRUB 2 (-g enables it, default)
+ -g: enable installing GNU GRUB 2
-i: total image, default 512 (MiB; max. approx. 2 TiB)
-p: default 10 (seconds; 0 disables; max. 300)
-s: default 115200 (bps, others: 9600 19200 38400 57600)
@@ -66,7 +66,7 @@ EOF
}
cfgfs=1
-usegrub=1
+usegrub=0
tgtmib=512
panicreboot=10
speed=115200
@@ -80,7 +80,6 @@ while getopts "c:ghi:p:s:tT:" ch; do
usage
fi ;;
(g) usegrub=1 ;;
- (+g) usegrub=0 ;;
(h) usage 0 ;;
(i) if (( (tgtmib = OPTARG) < 7 || tgtmib > 2097150 )); then
print -u2 "$me: -i $OPTARG out of bounds"
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index ee8d8a3ff..f513b5861 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -271,6 +271,12 @@ if ! which xz >/dev/null 2>&1; then
fi
# optional
+host_build_cdrtools=0
+if ! which mkisofs >/dev/null 2>&1; then
+ echo "No mkisofs found, will build one when required."
+ host_build_cdrtools=1
+fi
+
host_build_ccache=0
if ! which ccache >/dev/null 2>&1; then
echo "No ccache found, will build one when required."
@@ -316,6 +322,7 @@ if [ $host_build_findutils -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_F
if [ $host_build_xz -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_XZ" >> $topdir/target/config/Config.in.prereq ;fi
# optional
if [ $host_build_ccache -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_CCACHE if ADK_HOST_NEED_CCACHE" >> $topdir/target/config/Config.in.prereq ;fi
+if [ $host_build_cdrtools -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_CDRTOOLS if ADK_HOST_NEED_CDRTOOLS" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_genext2fs -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_GENEXT2FS if ADK_HOST_NEED_GENEXT2FS" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_lzma -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_LZMA if ADK_HOST_NEED_LZMA" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_lzop -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_LZOP if ADK_HOST_NEED_LZOP" >> $topdir/target/config/Config.in.prereq ;fi
diff --git a/scripts/toolchain.cmake.in b/scripts/toolchain.cmake.in
new file mode 100644
index 000000000..150bfcb27
--- /dev/null
+++ b/scripts/toolchain.cmake.in
@@ -0,0 +1,10 @@
+set(CMAKE_SYSTEM_NAME Linux)
+set(CMAKE_C_COMPILER @@TARGET_CC@@)
+set(CMAKE_CXX_COMPILER @@TARGET_CXX@@)
+set(CMAKE_INSTALL_SO_NO_EXE 0)
+set(CMAKE_PROGRAM_PATH \"@@STAGING_HOST_DIR@@/usr/bin\")
+set(CMAKE_FIND_ROOT_PATH \"@@STAGING_TARGET_DIR@@\")
+set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
+set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
+set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
+set(ENV{PKG_CONFIG_SYSROOT_DIR} \"@@STAGING_TARGET_DIR@@\")